Information on source package sdl-image1.2

Available versions

ReleaseVersion
jessie (security)1.2.12-5+deb8u1
stretch (security)1.2.12-5+deb9u1
buster1.2.12-10
bullseye1.2.12-10
sid1.2.12-10

Open issues

BugjessiestretchbusterbullseyesidDescription
CVE-2019-7635vulnerable (no DSA)vulnerable (no DSA)vulnerable (no DSA)vulnerablevulnerableSDL (Simple DirectMedia Layer) through 1.2.15 and 2.x through 2.0.9 ha ...
CVE-2019-5052vulnerablevulnerable (no DSA)vulnerable (no DSA)vulnerablevulnerableAn exploitable integer overflow vulnerability exists when loading a PC ...
CVE-2019-5051vulnerablevulnerable (no DSA)vulnerable (no DSA)vulnerablevulnerableAn exploitable heap-based buffer overflow vulnerability exists when lo ...
CVE-2019-12222vulnerable (no DSA)vulnerable (no DSA)vulnerable (no DSA)vulnerablevulnerableAn issue was discovered in libSDL2.a in Simple DirectMedia Layer (SDL) ...
CVE-2019-12221vulnerable (no DSA)vulnerable (no DSA)vulnerable (no DSA)vulnerablevulnerableAn issue was discovered in libSDL2.a in Simple DirectMedia Layer (SDL) ...
CVE-2019-12220vulnerable (no DSA)vulnerable (no DSA)vulnerable (no DSA)vulnerablevulnerableAn issue was discovered in libSDL2.a in Simple DirectMedia Layer (SDL) ...
CVE-2019-12219vulnerable (no DSA)vulnerable (no DSA)vulnerable (no DSA)vulnerablevulnerableAn issue was discovered in libSDL2.a in Simple DirectMedia Layer (SDL) ...
CVE-2019-12218vulnerable (no DSA)vulnerable (no DSA)vulnerable (no DSA)vulnerablevulnerableAn issue was discovered in libSDL2.a in Simple DirectMedia Layer (SDL) ...
CVE-2019-12217vulnerable (no DSA)vulnerable (no DSA)vulnerable (no DSA)vulnerablevulnerableAn issue was discovered in libSDL2.a in Simple DirectMedia Layer (SDL) ...
CVE-2019-12216vulnerable (no DSA)vulnerable (no DSA)vulnerable (no DSA)vulnerablevulnerableAn issue was discovered in libSDL2.a in Simple DirectMedia Layer (SDL) ...
CVE-2018-3977vulnerable (no DSA)vulnerable (no DSA)fixedfixedfixedAn exploitable code execution vulnerability exists in the XCF image re ...

Resolved issues

BugDescription
CVE-2018-3839An exploitable code execution vulnerability exists in the XCF image re ...
CVE-2018-3838An exploitable information vulnerability exists in the XCF image rende ...
CVE-2018-3837An exploitable information disclosure vulnerability exists in the PCX ...
CVE-2017-2887An exploitable buffer overflow vulnerability exists in the XCF propert ...
CVE-2017-14450A buffer overflow vulnerability exists in the GIF image parsing functi ...
CVE-2017-14449A double-Free vulnerability exists in the XCF image rendering function ...
CVE-2017-14448An exploitable code execution vulnerability exists in the XCF image re ...
CVE-2017-14442An exploitable code execution vulnerability exists in the BMP image re ...
CVE-2017-14441An exploitable code execution vulnerability exists in the ICO image re ...
CVE-2017-14440An exploitable code execution vulnerability exists in the ILBM image r ...
CVE-2017-12122An exploitable code execution vulnerability exists in the ILBM image r ...
CVE-2008-0544Heap-based buffer overflow in the IMG_LoadLBM_RW function in IMG_lbm.c ...
CVE-2007-6697Buffer overflow in the LWZReadByte function in IMG_gif.c in SDL_image ...

Security announcements

DSA / DLADescription
DSA-4184-1sdl-image1.2 - security update
DSA-4184-1sdl-image1.2 - security update
DLA-1341-1sdl-image1.2 - security update
DLA-1134-1sdl-image1.2 - security update
DSA-1493-2sdl-image1.2 - arbitrary code execution
DSA-1493-2sdl-image1.2 - arbitrary code execution
DSA-1493-1sdl-image1.2
DSA-1493-1sdl-image1.2

Search for package or bug name: Reporting problems